#!/bin/bash
#
# Build file for libjpeg-legacy
# Author: Mark Colclough
# 15 March 2010
#
# source: repack of library from libjpeg-6b-i486-5.txz

srcname='libjpeg-legacy'
srcversion='6b'
arch='i486'
pkgversion='64.1'
package="$srcname-$srcversion-$arch-$pkgversion"

donor='libjpeg-6b-i486-5.txz'

builddir=$(pwd)
dest="$builddir/$package"
buildlog="$builddir/$srcname-buildlog"

(
rm -f $buildlog
echo "== Building package $package in directory $builddir =="
echo "== preparing dest tree at $dest =="
rm -rf $dest
mkdir -p $dest/install
mkdir -p $dest/usr/doc/$srcname-$srcversion
mkdir -p $dest/usr/src/$srcname-$srcversion
#       |-----handy-ruler------------------------------------------------------|
cat <<EOF > $dest/install/slack-desc
$srcname: $srcname (jpeg library support for old packages)
$srcname:
$srcname: This interim package provides the libjpeg.so.62 library required
$srcname: by pre-Zenwalk 6.4 packages.  If a package needs this, it is a sign
$srcname: that it should be rebuilt.
$srcname:
$srcname:
$srcname:
$srcname:
$srcname:
EOF

echo "== Copying package files =="
cd $dest
tar -x usr/lib/libjpeg.so.62.0.0 -f ../$donor
cd $dest/usr/lib
ln -s libjpeg.so.62.0.0 libjpeg.so.62
echo "Repack of library from $donor" > $dest/usr/doc/$srcname-$srcversion/README
install -m 755 $builddir/build-$srcname.sh $dest/usr/src/$srcname-$srcversion/
##chown -R root:root .

echo "== make package =="
cd $dest
makepkg -l y -c n $dest.txz
cd $builddir
md5sum $package.txz >$package.md5

echo "== verifying package =="
cd $builddir
zen-pkgcheck.pl $dest.txz

echo "==== all done ===="
) 2>&1 | tee $buildlog 
